Nouvelles ACLs apache 2.4, j'y pige rien

Le
xavier
Bonjour,

J'ai eu beau parcourir dans tous les sens la page
<http://httpd.apache.org/docs/2.4/upgrading.html>,;
Je ne trouve pas comment faire l'équivalent de

<Directory>
Require valid-user
Order allow,deny
Allow from 172.16.0.0/16
Satisfy Any
</Directory

Plus simple il n'y a pas : accès libre à un site depuis le LAN, avec MdP
depuis l'extérieur. Je sèche. Merci.


--
Xav
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
(Jethro Tull)
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Tanguy Ortolo
Le #26309978
Xavier, 2014-09-19 12:33+0200:
Plus simple il n'y a pas : accès libre à un site depuis le LAN, avec MdP
depuis l'extérieur. Je sèche. Merci.



Je dirais :

<RequireAny>
Require IP 172.16.0.0/16
Require valid-user
</RequireAny>

Cf.
https://httpd.apache.org/docs/2.4/mod/mod_authz_core.html#logic
https://httpd.apache.org/docs/2.4/howto/auth.html#beyond

--
. o .
. . o ن Tanguy
o o o

PS : À suivre sur fr.comp.infosystemes.www.serveurs, qui me semble être
le groupe le plus adapté.
Publicité
Poster une réponse
Anonyme